@use 'theme';

:host {
  @include theme.width-height(100%, 100%);

  display: block;

  &.cvProgress {
    position: relative;
    pointer-events: none;
    overflow: hidden;

    .loading {
      @include theme.flex-row-center;
      @include theme.position-absolute(0, null, null, 0);
      @include theme.width-height(100%, 100%);
      @include theme.background-text-color(theme.$background-basic-color-2, theme.$text-info-disabled-color);

      justify-content: center;
      z-index: 2;

      .spinner-container {
        @include theme.flex-row-center;

        flex-wrap: nowrap;
        justify-content: center;
        min-width: 130px;
        overflow: hidden;
      }

      span {
        @include theme.font(20px, 30px, 700);
      }
    }

    &.transparent .loading {
      z-index: 99;
      background-color: theme.$color-primary-transparent-default;
    }
  }
}
